%define realname ccaudio
%define version 1.0.6
%define release 2mdk

%define major 0
%define libname lib%{realname}1_%{major}

Summary: Aa C++ class framework for processing audio files.
Name: %libname
Version: %version
Release: %release
Group: Development/C++
Source: %realname-%{version}.tar.bz2
URL: http://www.gnu.org/software/ccaudio/
License: GPL
Buildrequires: libCommonC++2_1.0-devel
BuildRoot: %_tmppath/%name-buildroot
Obsoletes: ccaudio < 0.4.0
Provides: ccaudio

%description 
The OST ccaudio package offers a highly portable C++ class framework for
developing applications which manipulate audio streams and various
disk based audio file formats.  At the moment ccaudio is primarly a class
framework for handling .au, .wav (RIFF), and various .raw audio encoding
formats under Posix and win32 systems, though it may expand to become a
general purpose audio and soundcard support library.  Support for
controlling CD audio devices has recently been added.

%package -n %libname-devel

Summary: A C++ class framework for processing audio files.
Group: Development/C++
License: GPL
Requires: %libname = %version
Provides: libccaudio1-devel

%description -n %libname-devel
The OST ccaudio package offers a highly portable C++ class framework for
developing applications which manipulate audio streams and various
disk based audio file formats.  At the moment ccaudio is primarly a class
framework for handling .au, .wav (RIFF), and various .raw audio encoding
formats under Posix and win32 systems, though it may expand to become a
general purpose audio and soundcard support library.  Support for
controlling CD audio devices has recently been added.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n %realname-%{version}

CXXFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%_prefix 

%build

%make

%install

%makeinstall

mkdir -p $RPM_BUILD_ROOT/%_mandir/man3

cp doc/man3/* $RPM_BUILD_ROOT/%_mandir/man3/

%files 
%defattr(-,root,root,0755)
%doc AUTHORS COPYING NEWS README TODO ChangeLog 
%_libdir/*.so.*
%_mandir/man3/*

%files -n %libname-devel
%defattr(-,root,root,0755)
%doc COPYING
%_libdir/*.la
%_libdir/*.a
%_libdir/*.so
%_includedir/cc++2/*

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%changelog
* Wed Apr 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.6-2mdk
- buildrequires

* Wed Feb 19 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.6-1mdk
- 1.0.6

* Thu Jan 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0-0.2mdk
- rebuild

* Mon Aug 28 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0-0.1mdk
- update to 1.0rc1

* Mon Jul 01 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.9.1-2mdk
- rebuild against new libCommonC++

* Tue Jun 04 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.9.1-1mdk
- 0.9.1

* Thu Apr 18 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.9.0-0.1mdk
- 0.9.0

* Mon Jan 21 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.5.3-1mdk
- 0.5.3

* Thu Nov 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5.1-1mdk
- 0.5.1

* Mon Nov 05 2001  Lenny Cartier <lenny@mandrakesoft.com> 0.5.0-1mdk
- 0.5.0

* Thu Oct 11 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.0-3mdk
- rebuild against new libCommonC++

* Fri Sep 21 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.0-2mdk
- rebuild against new libCommonC++

* Fri Jul 27 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.0-1mdk
- updated to 0.4.0

* Tue Jun 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3.1-1mdk
- updated to 0.3.1

* Mon Apr 30 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3.0-1mdk
- updated to 0.3.0

* Mon Jan 08 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.2.7-1mdk
- updated to 0.2.7

* Mon Dec 18 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.2.6-1mdk
- updated to 0.2.6

* Fri Dec 08 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.2.5-1mdk
- updated to 0.2.5

* Wed Dec 06 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.2.4-2mdk
- some cleaning

* Mon Sep 25 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.2.4-1mdk
- updated to 0.2.4

* Wed Aug 23 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.2.3-2mdk
- BM
- macros
- built with new CommonC++

* Thu Jul 20 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.2.3-1mdk
- build for mandrake
